Get a phone number
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"phone_number": {
"id": "7b0e2c4a-1f3d-4e8a-9c21-5d6f7a8b9c01",
"project_id": "3f6c1a52-8d0e-4b8f-9a51-2c7d4e0b9f13",
"e164": "14155550123",
"provider": "twilio",
"voice_inbound": true,
"voice_outbound": false,
"sip_trunk_id": null,
"outbound_trunk_ids": [],
"outbound_agents": [],
"outbound_agents_inherited": [
{
"id": "5c1d9e2f-3a4b-4c5d-9e6f-7a8b9c0d1e2f",
"name": "Front desk"
}
],
"max_calls_per_second": 2,
"abuse_protection_exempt": false,
"max_calls_per_second_updated_by": "1042",
"max_calls_per_second_updated_at": "Tue Nov 10 2026 08:45:37 GMT+0000 (Coordinated Universal Time)",
"created_at": "Mon Nov 09 2026 14:02:11 GMT+0000 (Coordinated Universal Time)",
"updated_at": "Tue Nov 10 2026 08:45:37 GMT+0000 (Coordinated Universal Time)"
},
"max_calls_per_second_self_serve_max": 5
}{
"error": "Invalid or revoked token"
}{
"error": "Phone number not found"
}Phone numbers
Get a phone number
Returns one phone number, with the agents that present it as their caller ID on outbound calls.
GET
/
v1
/
projects
/
{projectId}
/
phone-numbers
/
{id}
Get a phone number
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"phone_number": {
"id": "7b0e2c4a-1f3d-4e8a-9c21-5d6f7a8b9c01",
"project_id": "3f6c1a52-8d0e-4b8f-9a51-2c7d4e0b9f13",
"e164": "14155550123",
"provider": "twilio",
"voice_inbound": true,
"voice_outbound": false,
"sip_trunk_id": null,
"outbound_trunk_ids": [],
"outbound_agents": [],
"outbound_agents_inherited": [
{
"id": "5c1d9e2f-3a4b-4c5d-9e6f-7a8b9c0d1e2f",
"name": "Front desk"
}
],
"max_calls_per_second": 2,
"abuse_protection_exempt": false,
"max_calls_per_second_updated_by": "1042",
"max_calls_per_second_updated_at": "Tue Nov 10 2026 08:45:37 GMT+0000 (Coordinated Universal Time)",
"created_at": "Mon Nov 09 2026 14:02:11 GMT+0000 (Coordinated Universal Time)",
"updated_at": "Tue Nov 10 2026 08:45:37 GMT+0000 (Coordinated Universal Time)"
},
"max_calls_per_second_self_serve_max": 5
}{
"error": "Invalid or revoked token"
}{
"error": "Phone number not found"
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Response
The phone number.